# Get Dashboard

Gets the specified dashboard.

Endpoint: GET /sights/{sightId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `sightId` (string, required)
    ID of the dashboard (sight) being accessed.

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    A comma-separated list of optional elements to include in the response:
  * objectValue - when used in combination with a level query parameter, includes the email addresses for multi-contact data.
  * source - the Source object for any Sight that was created from another Sight, if any
    Enum: "objectValue", "source"

  - `level` (integer)
    Specifies whether new functionality, such as multi-contact data is returned in a backwards-compatible, text format (level=0, default), multi-contact data (level=2), multi-picklist data (level=3), or Metric widget with sheet summary (level=4).

  - `numericDates` (boolean)
    You can optionally choose to receive and send dates/times in numeric format, as milliseconds since the UNIX epoch (midnight on January 1, 1970 in UTC time), using the query string parameter numericDates with a value of true. This query parameter works for any API request.

## Response 200 fields (application/json):

  - `backgroundColor` (string)
    The hex color, for instance #E6F5FE.

  - `defaultWidgetBackgroundColor` (string)
    The hex color of the background color for all widgets except for title widgets on the dashboard, for instance #E6F5FEF4 or #E6F5FE.

  - `columnCount` (number)
    Number of columns that the dashboard contains.

  - `source` (object)

  - `source.id` (number)
    The ID of the dashboard, report, sheet, or template from which the enclosing dashboard, report, sheet, or template was created.

  - `source.type` (string)
    report, sheet, sight (aka dashboard), or template.

  - `widgets` (array)

  - `widgets.id` (number)
    Widget ID.

  - `widgets.type` (string)
    Type of widget.
    Enum: "CHART", "GRIDGANTT", "IMAGE", "METRIC", "RICHTEXT", "SHEETSUMMARY", "SHORTCUT", "SHORTCUTICON", "SHORTCUTLIST", "TITLE", "WEBCONTENT"

  - `widgets.contents` (any)
    The type of widget content depends on the value of widget.type.

  - `widgets.height` (number)
    Number of rows that the widget occupies on the dashboard.

  - `widgets.showTitle` (boolean)
    True indicates that the client should display the widget title. This is independent of the title string which may be null or empty.

  - `widgets.showTitleIcon` (boolean)
    True indicates that the client should display the sheet icon in the widget title.

  - `widgets.title` (string)
    Title of the widget.

  - `widgets.titleFormat` (string)
    Title format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).
    Example: ",,1,,,,,,,3,,,,,,1,"

  - `widgets.titleFont` (string)
    List of supported fonts in Dashboards
    Enum: "Arial", "Courier", "Georgia", "Gill Sans", "Helvetica", "Luminari", "Monaco", "Tahoma", "Times New Roman", "Verdana"

  - `widgets.version` (number)
    Widget version number.

  - `widgets.viewMode` (number)
    Indicates the content layout. Must use a query parameter of level=2 to see this information.

  * 1 - centered
  * 2 - left aligned
    Enum: 1, 2

  - `widgets.width` (number)
    Number of columns that the widget occupies on the dashboard.

  - `widgets.xPosition` (number)
    X-coordinate of widget's position on the dashboard.

  - `widgets.yPosition` (number)
    Y-coordinate of widget's position on the dashboard.

  - `workspace` (object)
    A reference to the dashboard's workspace, if the dashboard is in a workspace; otherwise an empty value.
    Example: {"id":1234567890,"name":"Some Workspace"}

  - `workspace.id` (number)
    Workspace ID.
    Example: 1234567890

  - `workspace.name` (string)
    Workspace name.
    Example: "Some Workspace"

  - `createdAt` (any)

  - `modifiedAt` (any)

  - `id` (number)
    Dashboard ID.

  - `accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `permalink` (string)
    URL that represents a direct link to the dashboard in Smartsheet.

  - `name` (string)
    Dashboard name.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


